Bug 597055 - [abrt] crash in java-1.6.0-openjdk-1:1.6.0.0-38.b18.fc12: raise: Process /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/bin/java was killed by signal 6 (SIGABRT)
[abrt] crash in java-1.6.0-openjdk-1:1.6.0.0-38.b18.fc12: raise: Process /usr...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: java-1.6.0-openjdk (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Deepak Bhole
Fedora Extras Quality Assurance
abrt_hash:42b66637ce183209c702a3f0134...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-27 22:57 EDT by hlovdal
Modified: 2010-12-03 11:54 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 09:15:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (92.09 KB, text/plain)
2010-05-27 22:57 EDT, hlovdal
no flags Details
JRE core file (32.53 KB, application/octet-stream)
2010-11-03 19:13 EDT, Håkon Løvdal
no flags Details

  None (edit)
Description hlovdal 2010-05-27 22:57:32 EDT
abrt 1.0.9 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: java -jar SweetHome3D-2.4.jar
comment: Java crashes every single time I try to print (independent of if I try the installer, java web start or the executable jar version of SweetHome3D). This is the case both for version 2.3 and 2.4.
component: java-1.6.0-openjdk
crash_function: raise
executable: /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/bin/java
global_uuid: 42b66637ce183209c702a3f0134f9c14c39f1e35
kernel: 2.6.32.12-115.fc12.i686.PAE
package: java-1.6.0-openjdk-1:1.6.0.0-38.b18.fc12
rating: 3
reason: Process /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/bin/java was killed by signal 6 (SIGABRT)
release: Fedora release 12 (Constantine)

How to reproduce
-----
1. Start "java -jar SweetHome3D-2.4.jar"
2. Open drawing
3. Try to print
Comment 1 hlovdal 2010-05-27 22:57:36 EDT
Created attachment 417449 [details]
File: backtrace
Comment 2 Andrew Su 2010-06-21 15:52:30 EDT
Hello hlovdal,

I was able to run and print with no problem using the jar version and the web/online version.

java version "1.6.0_18"
OpenJDK Runtime Environment (IcedTea6 1.8) (fedora-41.b18.fc13-i386)
OpenJDK Server VM (build 14.0-b16, mixed mode)

Result: Unable to reproduce.

Is this issue still happening for you?

From the backtrace it looks like it was trying to render something before it aborted. (thread 1 frames 4 to 14)

-Andrew
Comment 3 Håkon Løvdal 2010-06-21 16:45:32 EDT
Yes, I still get the same error. Just to rule out any particularities with the drawings of my house, I now tested first by printing a completely blank drawing, as it is when I start the application. This did not crash printing, but instead it aborted with a stacktrace:

ExceptionConverter: java.io.IOException: The document has no pages.                                                                                                              
        at com.lowagie.text.pdf.PdfPages.writePageTree(Unknown Source)
...

so I am quite sure that in this case it did not come as far as the place it normally crashes. Drawing just 4 walls and trying to print crashes the usual way:

failed to create drawable
#
# A fatal error has been detected by the Java Runtime Environment:
#
#  SIGSEGV (0xb) at pc=0x6eb1bce7, pid=8101, tid=1849023344
#
# JRE version: 6.0_20-b02
# Java VM: Java HotSpot(TM) Server VM (16.3-b01 mixed mode linux-x86 )
# Problematic frame:
# C  [swrast_dri.so+0x5ce7]
#
# An error report file with more information is saved as:
# /.../hs_err_pid8101.log
#
# If you would like to submit a bug report, please visit:
#   http://java.sun.com/webapps/bugreport/crash.jsp
# The crash happened outside the Java Virtual Machine in native code.
# See problematic frame for where to report the bug.
#
Aborted (core dumped)

I notice that you tested on Fedora 13. I run Fedora 12 (and I will not have time to upgrade for several weeks).
Comment 4 Andrew Su 2010-06-24 10:43:20 EDT
From the looks of your latest report, you're crashing with sun's jvm as well. I suggest you check with the developer of this application.
Comment 5 Bug Zapper 2010-11-03 09:59:04 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Håkon Løvdal 2010-11-03 19:13:35 EDT
Created attachment 457611 [details]
JRE core file

hs_err_pid18445.log file generated by Java Runtime Environment upon crash
Comment 7 Håkon Løvdal 2010-11-03 19:17:53 EDT
I just retested (with the latest 2.6 version), and the problem is still present. The generated JRE core file does however contain better information that I can remember from before, and points very clearly in the rendering direction:


Stack: [0x6e1d8000,0x6e229000],  sp=0x6e227c40,  free space=13f6e2275c0k
Native frames: (J=compiled Java code, j=interpreted, Vv=VM code, C=native code)
C  [swrast_dri.so+0x5ce7]
C  [libdricore.so+0x119cf9]  _swrast_Clear+0x3d2
C  [libdricore.so+0x309cd]  _mesa_Clear+0x1ad
C  [libGL.so.1+0x439ef]  glClear+0x30
C  [libj3dcore-ogl.so+0xc46b]  Java_javax_media_j3d_NativePipeline_clear+0x84
j  javax.media.j3d.NativePipeline.clear(JFFFZ)V+0
j  javax.media.j3d.NativePipeline.clear(Ljavax/media/j3d/Context;FFFZ)V+12
j  javax.media.j3d.Canvas3D.clear(Ljavax/media/j3d/Context;FFFZ)V+10
j  javax.media.j3d.Canvas3D.clear(Ljavax/media/j3d/BackgroundRetained;II)V+51
j  javax.media.j3d.Renderer.doWork(J)V+4968
j  javax.media.j3d.J3dThread.run()V+19
v  ~StubRoutines::call_stub
V  [libjvm.so+0x395920]
V  [libjvm.so+0x5793a8]
V  [libjvm.so+0x395127]
V  [libjvm.so+0x3951da]
V  [libjvm.so+0x415965]
V  [libjvm.so+0x66959e]
V  [libjvm.so+0x57a89e]
C  [libpthread.so.0+0x5925]

The file /usr/lib/dri/swrast_dri.so belongs to rpm package mesa-dri-drivers, so probably this bug report should be reassigned from java to mesa.
Comment 8 Bug Zapper 2010-12-03 09:15:58 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 9 Deepak Bhole 2010-12-03 11:54:38 EST
As Andrew mentioned, this problem is related to the upstream app. The crash happens in swrast_dri.so na dthere isn't anything we can do about it.

Note You need to log in before you can comment on or make changes to this bug.